

#include "BUILTIN.h"
OBJ __ARelCmp_2; /* > */
extern OBJ _ARelCmp_3(OBJ);OBJ __ARelCmp_3; /* >? */
OBJ __ARelCmp_4; /* = */
extern OBJ _ARelCmp_5(OBJ);OBJ __ARelCmp_5; /* =? */
OBJ __ARelCmp_6; /* < */
extern OBJ _ARelCmp_7(OBJ);OBJ __ARelCmp_7; /* <? */

extern OBJ _ARelCmp_3(OBJ x1) /* >? */
{OBJ r;
 if(ISTGPRM(x1,2)){
  r=__ABUILTIN_5;
 }else{
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _ARelCmp_5(OBJ x1) /* =? */
{OBJ r;
 if(ISTGPRM(x1,1)){
  r=__ABUILTIN_5;
 }else{
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _ARelCmp_7(OBJ x1) /* <? */
{OBJ r;
 if(ISTGPRM(x1,0)){
  r=__ABUILTIN_5;
 }else{
  r=__ABUILTIN_3;}
 return r;}




static OBJ _mt_1_0_1(OBJ t,OBJ t1) 
{OBJ r;
 DCCLS(t,1);
 r=(*(OBJ(*)(OBJ))ENTRY(t))(t1);
 return r;}
static OBJ _mt_1_0_1_l(OBJ t,OBJ t1) 
{OBJ r;
 DCCLS(t,1);
 r=(*(OBJ(*)(OBJ))ENTRY(t))(t1);
 COPY(r,1);LZYCLS(t,r);
 return r;}

init_ARelCmp()
{
 static int visited=0; if(visited) return; visited=1;
 CLS(1,_ARelCmp_7,__ARelCmp_7);
 CLS(1,_ARelCmp_5,__ARelCmp_5);
 CLS(1,_ARelCmp_3,__ARelCmp_3);
 MTH(1,0,1,_mt_1_0_1);LZYMTH(1,0,1,_mt_1_0_1_l);
 PRM(2,__ARelCmp_2);
 PRM(1,__ARelCmp_4);
 PRM(0,__ARelCmp_6);}

